Subject: [SIP] retransmission of BYE OPTIONS REGISTER request by proxies

From: [email-masked]
Date: Thu, 1 Jun 2000 18:17:43 +0530

Hi!

Section 10.4.1 states of the SIP draft states that a client using UDP
should retransmit  BYE CANCEL OPTION and REGISTER requests. Does this mean
proxy servers dont retransmit them. If so what happens in a scenario like
this:
     Client A connects to proxy P on TCP and sends a BYE. P connects to
client B on UDP. Since A does not retransmit the BYE how can reliablity be
achieved unless proxy P retransmits.

thanks
bhaskar

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: "Jo Hornsby" <[email-masked]>
Date: Thu, 1 Jun 2000 14:17:32 +0100

> Section 10.4.1 states of the SIP draft states that a client using
> UDP should retransmit  BYE CANCEL OPTION and REGISTER requests. Does
> this mean proxy servers dont retransmit them.

No.  "client" is in the general sense; i.e., it is a SIP entity
that transmits requests.  (Have a look at the definitions under
section 1.3).

 - Jo.